Post Reply 
 
Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Open source graphics card driver support
02-16-2010, 07:20 PM
Post: #1
Open source graphics card driver support
Hi all,
whenever i try to run vdrift, i get this errors:
Code:
ERROR: You don't have an NVIDIA or ATI/AMD card.  This game may not run correctly or at all.
INFO: Video card information:
      Vendor: DRI R300 Project
      Renderer: Mesa DRI R300 (RV515 7149) 20090101 x86/MMX/SSE2 TCL
      Version: 1.5 Mesa 7.6
      Maximum texture size: 4096
      Using GLEW 1.5.1
ERROR: Error loading texture file: /usr/local/share/games/vdrift/data/textures/weather/cubereflection-nosun.png
ERROR: Error loading texture file: /usr/local/share/games/vdrift/data/textures/weather/cubelighting.png
ERROR: Error loading texture file: /usr/local/share/games/vdrift/data/skins/simple/textures/loadingbox.png
ERROR: Error loading graphic for loading screen.
ERROR: Error loading the loading screen
INFO: Exiting
googling on this forum i found it's dued to "bad" graphic card driver and I should install proprietary drivers.
But I have an ATI Mobility Radeon X1300 graphic card and my o.s. is Kubuntu 9.10 (latest stable) so, Ati's driver doesn't support it more :cry:

Could you make VDrift compatible with mesa open source graphic drivers too?


Thank you very much!
maui.
Find all posts by this user
Quote this message in a reply
02-17-2010, 06:29 PM
Post: #2
 
Code:
ERROR: You don't have an NVIDIA or ATI/AMD card.  This game may not run correctly or at all.
The code simply checks if Vendor/Renderer strings contain NVIDIA, AMD or ATI. The game runs fine even on Mobile Intel 4 Series.

For me it looks more like a vdrift data problem. Please check the vdrift data path.

You can get vdrift data from:
Code:
svn co https://vdrift.svn.sourceforge.net/svnroot/vdrift/vdrift-data vdrift-data
Find all posts by this user
Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)